petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawLGGetAxis

Gets the axis context associated with a line graph. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLGGetAxis(PetscDrawLG lg,PetscDrawAxis *axis)

Not Collective, if PetscDrawLG is parallel then PetscDrawAxis is parallel

### Input Parameter

lg -the line graph context

### Output Parameter

axis -the axis context

### See Also

PetscDrawLGCreate(), PetscDrawAxis

### Level

advanced

### Location

src/sys/classes/draw/utils/lgc.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages